<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suif1.texi on 28 April 1999 -->

<TITLE>The SUIF Version 1 Library - Result Types</TITLE>
<link href="suif1_27.html" rel=Next>
<link href="suif1_25.html" rel=Previous>
<link href="suif1_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_25.html">previous</A>, <A HREF="suif1_27.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC26" HREF="suif1_toc.html#TOC26">Result Types</A></H3>

<P>
<A NAME="IDX148"></A>
<A NAME="IDX149"></A>
Each instruction also has a field to specify the result type.  The
<CODE>result_type</CODE> and <CODE>set_result_type</CODE> methods may be used to
access this field.  If an instruction produces a result value
(regardless of whether the result is actually used), the type of the
result must be indicated.  Otherwise, the result type should be the SUIF
<CODE>void</CODE> type.

</P>
<P>
If the instruction produces a value, the result type must be an object
type (i.e. not a function type) with non-zero size and that size must
be known at compile time.  This restriction is to exclude arrays with
unknown or symbolic bounds, the only types without known sizes.

</P>

<P><HR><P>
<p>Go to the <A HREF="suif1_1.html">first</A>, <A HREF="suif1_25.html">previous</A>, <A HREF="suif1_27.html">next</A>, <A HREF="suif1_113.html">last</A> section, <A HREF="suif1_toc.html">table of contents</A>.
</BODY>
</HTML>
